import { C8oCore } from "./c8oCore";
import { C8oResponseListener } from "./c8oResponse";
import { C8oExceptionListener } from "./Exception/c8oExceptionListener";
export declare class C8oCallTask {
    private c8o;
    private _parameters;
    private c8oResponseListener;
    private c8oExceptionListener;
    private c8oCallUrl;
    parameters: any;
    constructor(c8o: C8oCore, parameters: Object, c8oResponseListener: C8oResponseListener, c8oExceptionListener: C8oExceptionListener);
    run(): void;
    executeFromLive(): void;
    handleRequest(): Promise<any>;
    private handleResponse;
}
